// yuv400p 8bit littel endian
uniform sampler2DRect Ytex;
uniform    float  imgHeight;
void main(void) {
    vec3 RGB;
    float nx,ny;
    nx=0.5 + gl_TexCoord[0].x;
    ny=imgHeight-gl_TexCoord[0].y;
    RGB.r=texture2DRect(Ytex,vec2(nx,ny)).r;
    RGB.g=texture2DRect(Ytex,vec2(nx,ny)).g;
    RGB.b=texture2DRect(Ytex,vec2(nx,ny)).b;
    gl_FragColor =  vec4( RGB, 1.0);
}
